View Issue Details

IDProjectCategoryView StatusLast Update
0004177unrealircdpublic2019-10-14 15:28
ReporterwestorAssigned Tosyzop 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.2.10 
Target VersionFixed in Version5.0.0-alpha3 
Summary0004177: [m_list_delay] - /LIST COMMAND DELAYER!
DescriptionHello,

I wanna request for a module that a user cannot use the /LIST command after X seconds, this module is very usefull for some networks and i think to post it as an feature request but and as module i will be ok :P

e.g: connecting and in 5 seconds i use /LIST command
display the error: -my.testnet.gr- *** You cannot use the /LIST command within 60 seconds of connecting, please try again later.
and the server will send an GLOBOPS notice: -my.testnet.gr- *** Global -- Denied access into the /LIST command from me!~westor@178.246.359.721

NOTE: The global message will be helpfull for checking if the user is an BAD user (spambot,etc..) and not for any SPY action.

and in the unrealircd.conf configuration the set options:

set {
listblock yes;
listglobalmessage yes;
listseconds 60;
listmessage You cannot use the /LIST command now, please try again later;
};

- Thanks!
Additional InformationNeed contact me ? irc.chatnet.gr:6667 -> #Scripting
Tags/list, list, list delay
3rd party modules

Activities

nenolod

2013-05-06 02:08

reporter   ~0017482

I don't like this, the networks I have gone on that have this i usually just wind up immediately leaving them. It's a great way to make potential users feel like criminals, and it doesn't really stop spambots.

The best way to stop the spambots is to do things we're already doing in Unreal, target change restrictions and so on.

syzop

2019-10-14 15:28

administrator   ~0020975

Going through old bug reports...
This now exists in UnrealIRCd 5 alpha via set::restrict-commands.
The list delay is in the example.conf and defaults to 60 seconds, with an exemption for +r (registered) users and users with sufficient reputation (score 24+)

Issue History

Date Modified Username Field Change
2013-03-15 14:29 westor New Issue
2013-03-15 14:33 westor Tag Attached: /list
2013-03-15 14:33 westor Tag Attached: list
2013-03-15 14:33 westor Tag Attached: list delay
2013-03-20 15:44 syzop Priority immediate => normal
2013-03-20 15:44 syzop Description Updated View Revisions
2013-05-06 02:08 nenolod Note Added: 0017482
2019-10-14 15:28 syzop Assigned To => syzop
2019-10-14 15:28 syzop Status new => resolved
2019-10-14 15:28 syzop Resolution open => fixed
2019-10-14 15:28 syzop Fixed in Version => 5.0.0-alpha3
2019-10-14 15:28 syzop Note Added: 0020975